> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get all teams for a space

GET https://api.contentful.com/spaces/{space_id}/teams

This endpoint returns a paginated list of all teams with access to a space.

Reference: https://contentful.com/developers/docs/references/content-management-api/teams-for-a-space/get-all-teams-for-a-space

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the space in form of a string

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "items": [
    {
      "description": "This is an awesome team.",
      "name": "My team",
      "sys": {
        "createdAt": "2025-02-17T08:19:53.000Z",
        "createdBy": {
          "sys": {
            "id": "7BslKh9TdKGOK41VmLDjFZ",
            "linkType": "User",
            "type": "Link"
          }
        },
        "id": "<team_id>",
        "memberCount": 3,
        "organization": {
          "sys": {
            "id": "0D9ZC8rLWiw6x5qizZGiRs",
            "linkType": "Organization",
            "type": "Link"
          }
        },
        "type": "Team",
        "updatedAt": "2025-02-17T08:19:53.000Z",
        "updatedBy": {
          "sys": {
            "id": "4FLrUHftHW3v2BLi9fzfjU",
            "linkType": "User",
            "type": "Link"
          }
        },
        "version": 0
      }
    }
  ],
  "limit": 100,
  "skip": 0,
  "sys": {
    "type": "Array"
  },
  "total": 1
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

client.getSpace('<space_id>')
.then((space) => space.getTeams())
.then((teamsCollection) => console.log(teamsCollection.items))
.catch(console.error)
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

const teams = await client.teams.getManyForSpace({
  spaceId: '<space_id>',
  query: {
    limit: 10
  }
});
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.
```